ข้ามไปที่เนื้อหา

ลงทะเบียนและลบประเภทการระงับการใช้งาน

This API registers or deletes access restriction types on the Hive server.

API Endpoint คำอธิบาย
POST /v2/game/block/type/set Register restriction type
POST /v2/game/block/type/delete Delete restriction type


Register restriction type

Registers the type to apply when suspending use. Registered types are used as the restriction type number (block_type) in the Register access restriction API. Choose either operation policy restriction (type_status=O) or temporary restriction (type_status=N) as the popup type. Korean and English are required registration languages.

URL คำขอ

URL ใช้งานจริง https://auth.qpyou.cn/v2/game/block/type/set
URL Sandbox https://sandbox-auth.qpyou.cn/v2/game/block/type/set
วิธี HTTP POST
Content-Type application/json
รูปแบบข้อมูล JSON

ส่วนหัวคำขอ

ชื่อฟิลด์ คำอธิบาย ประเภท จำเป็น
X-Access-Token OAuth 2.0 Access Token สำหรับการรับรองความถูกต้องของเซิร์ฟเวอร์แอป
(ดู ออก OAuth Token)
String Y
ISCRYPT ข้อมูลถูกเข้ารหัสหรือไม่ (0 = ไม่เข้ารหัส) (ต้องส่ง 0 เสมอ) Integer Y

เนื้อหาคำขอ

ชื่อฟิลด์ คำอธิบาย ประเภท จำเป็น
appid App ID String Y
type_status Restriction popup type
  • O: operation policy restriction
  • N: temporary restriction
String Y
type_name Restriction type name (Korean)
Can be registered up to 200 bytes.
String Y
type_en_name Restriction type name (English)
Can be registered up to 200 bytes.
String Y
reasons Restriction reason list (message array by language) Array Y
reasons[].language Language code
  • ko (Korean)
  • en (English)
  • ja (Japanese)
  • zh-hans (Simplified Chinese)
  • zh-hant (Traditional Chinese)
  • de (German)
  • fr (French)
  • ru (Russian)
  • es (Spanish)
  • pt (Portuguese)
  • id (Indonesian)
  • th (Thai)
  • vi (Vietnamese)
  • it (Italian)
  • tr (Turkish)
  • ar (Arabic)
String Y
reasons[].title Restriction reason title
Required when type_status=N; causes an error when sent with type_status=O.
Can be registered up to 200 bytes.
String Conditional
reasons[].reason Restriction reason content
Up to 200 bytes for type_status=O and up to 400 bytes for type_status=N.
String Y

ตัวอย่างคำขอ

Operation policy restriction type registration request

{"appid":"com.com2us.hivesdk.normal.freefull.apple.global.ios.universal","type_status":"O","type_name":"불법 프로그램 이용","type_en_name":"Usage of unauthorized programs","reasons":[{"language":"ko","reason":"불법 프로그램 이용"},{"language":"en","reason":"Use of Unauthorized Programs"},{"language":"ja","reason":"使用非法程序"}]}

Temporary restriction type registration request

{"appid":"com.com2us.hivesdk.normal.freefull.apple.global.ios.universal","type_status":"N","type_name":"임시 접속 제한(게임 데이터 수정)","type_en_name":"Temporary access restriction (game data modified)","reasons":[{"language":"ko","title":"게임 이용에 불편을 드려 죄송합니다.","reason":"현재 게임 데이터를 수정하는 중입니다. 빠른 조치를 위해 최선을 다하겠습니다."},{"language":"en","title":"We apologize for any inconvenience you may have experienced.","reason":"We are currently modifying the game data. We will try our best to resolve the issue as soon as possible."},{"language":"ja","title":"ご利用中にご不便をおかけし、大変申し訳ございません。","reason":"只今ゲームデータを修正しています。迅速な解決に向けて最善を尽くします。"}]}

เนื้อหาการตอบกลับ

ชื่อฟิลด์ คำอธิบาย ประเภท
result_code รหัสตอบกลับ Details Integer
result_msg ข้อความผลลัพธ์ String
token_validation ผลการตรวจสอบ JWT (ข้อผิดพลาดการตรวจสอบ JWT) Object
token_validation.result_code รหัสผลการตรวจสอบ JWT Integer
token_validation.result_msg ข้อความผลการตรวจสอบ JWT String
data ข้อมูลผลลัพธ์ Object
data.block_type Registered restriction type number Integer

รหัสตอบกลับ

Code value คำอธิบาย
0 สำเร็จ
2499 การตรวจสอบ JWT ล้มเหลว (ดู token_validation)
4000 พารามิเตอร์ไม่ถูกต้อง
4014 Restriction popup type mismatch
4015 Missing required restriction registration language (Korean, English)
4016 Restriction type data byte limit exceeded
6000 appid ไม่ถูกต้อง

ตัวอย่างการตอบกลับ

สำเร็จ

{"result_code":0,"result_msg":"SUCCESS","token_validation":{"result_code":0,"result_msg":"success"},"data":{"block_type":88}}


Delete restriction type

Deletes a registered restriction type from the Hive server. Types that have currently suspended user data cannot be deleted.

URL คำขอ

URL ใช้งานจริง https://auth.qpyou.cn/v2/game/block/type/delete
URL Sandbox https://sandbox-auth.qpyou.cn/v2/game/block/type/delete
วิธี HTTP POST
Content-Type application/json
รูปแบบข้อมูล JSON

ส่วนหัวคำขอ

ชื่อฟิลด์ คำอธิบาย ประเภท จำเป็น
X-Access-Token OAuth 2.0 Access Token สำหรับการรับรองความถูกต้องของเซิร์ฟเวอร์แอป
(ดู ออก OAuth Token)
String Y
ISCRYPT ข้อมูลถูกเข้ารหัสหรือไม่ (0 = ไม่เข้ารหัส) (ต้องส่ง 0 เสมอ) Integer Y

เนื้อหาคำขอ

ชื่อฟิลด์ คำอธิบาย ประเภท จำเป็น
appid App ID String Y
block_type Restriction type number Integer Y

ตัวอย่างคำขอ

{"appid":"com.com2us.hivesdk.normal.freefull.apple.global.ios.universal","block_type":88}

เนื้อหาการตอบกลับ

ชื่อฟิลด์ คำอธิบาย ประเภท
result_code รหัสตอบกลับ Details Integer
result_msg ข้อความผลลัพธ์ String
token_validation ผลการตรวจสอบ JWT (ข้อผิดพลาดการตรวจสอบ JWT) Object
token_validation.result_code รหัสผลการตรวจสอบ JWT Integer
token_validation.result_msg ข้อความผลการตรวจสอบ JWT String

รหัสตอบกลับ

Code value คำอธิบาย
0 สำเร็จ
2499 การตรวจสอบ JWT ล้มเหลว (ดู token_validation)
4000 พารามิเตอร์ไม่ถูกต้อง
4011 Unregistered type
4012 Registered suspended user data exists
6000 appid ไม่ถูกต้อง

ตัวอย่างการตอบกลับ

สำเร็จ

{"result_code":0,"result_msg":"SUCCESS","token_validation":{"result_code":0,"result_msg":"success"}}
Note

เมื่อการตรวจสอบ JWT ล้มเหลว คุณสามารถดูข้อมูลข้อผิดพลาดโดยละเอียดได้ในฟิลด์ token_validation โปรดดู รหัสข้อผิดพลาดการตรวจสอบ JWT สำหรับรายละเอียด